from database.models import Model


class DistributionResult(Model):
    TABLE   = 'DistributionResult'
    COLUMNS = ('id',      'polynomial_id',   'base',    'runlength', 
               'distribution_id',   'result' )
    TYPES   = ('INTEGER', 'INTEGER',         'INTEGER', 'INTEGER',   
               'INTEGER',        'VARCHAR(255)'  )


class Distribution(Model):
    TABLE   = 'Distribution'
    COLUMNS = ('id',      'name'       )  
    TYPES   = ('INTEGER', 'VARCHAR(16)')
