from database.models import Model

class Frequency(Model):
    TABLE   = 'Frequency'
    COLUMNS = ('id',      'polynomial_id',   'base',    'start',    'stop',     'runlength', 'digit',    'count'    )
    TYPES   = ('INTEGER', 'INTEGER',         'INTEGER', 'INTEGER',  'INTEGER',  'INTEGER',   'CHAR(32)',  'INTEGER'  )




class FrequencyGroup(Model):
    TABLE   = 'FrequencyGroup'
    COLUMNS = ('id',      'polynomial_id',   'base',    'runlength',  )
    TYPES   = ('INTEGER', 'INTEGER',         'INTEGER', 'INTEGER',    )

class FrequencyBlock(Model):
    TABLE   = 'FrequencyBlock'
    COLUMNS = ('id',       'frequency_group_id', 'block_id',  'digit',  'count')
    TYPES   = ('INTEGER',  'INTEGER',            'INTEGER',   'BIGINT',   'INTEGER'  )
