import urllib2, re

url = 'http://www.cecm.sfu.ca/~mjm/Lehmer/lists/SalemList.html'
lst = urllib2.urlopen(url).read()

RE_LISTING = re.compile(r'(\d+)\.\)\s+(\d+)\s+[\d\.]+\s([-\d ]+)')


def gen_pol(coefs):
    pol = ''
    for i,coef in enumerate(coefs):
        if coef == 0:
            continue
        if coef > 0:
            pol += '+'
        pol += '%ix^%i' % (coef, len(coefs)-i-1)
    return pol


for N, degree, coef_str in RE_LISTING.findall(lst):
    coefs = map(int, coef_str.split())
    print '%s\t%s' % (N, gen_pol(coefs+list(reversed(coefs))[1:]))
    
