#!/bin/zsh

date; 
echo "importing.."

for i in `find /var/tmp/roots/db/ -iname "salem-29-2-*.sql.dat" -mmin +5`; do 
    echo "+ $i";
    printf "TRUNCATE frequencyblock_import;\n\
COPY frequencyblock_import FROM '$i';\n\
INSERT INTO frequencyblock (SELECT nextval('frequencyblock_id_seq') as id, * FROM frequencyblock_import);\n\
TRUNCATE frequencyblock_import;\n" | ./psql.sh -q -f - --single-transaction;
    mv "$i" "${i}.done";
    gzip "${i}.done";
done

echo "done."