import commands, math, re
from config import * 
from gmpy import mpf

def gupta_mittal(polynomial, prec):
    ''' compute root using old gupta-mittal (for performance test only!) '''
    new_prec = int(math.log(10) / math.log(2) * 2**prec)
    #new_prec = 2**prec
    polynomial = re.sub(r'(\d+)x', r'\1*x', polynomial)
    root = commands.getoutput(BIN_PATH + '/gm_old %s %s' % (polynomial, new_prec))
    return 2**prec, mpf(root, 2*2**prec, 10)


