from stats.frequency import absolute_freqs_rsn_ng, absolute_freqs_rsn
from os import times
from gmpy import mpf
from aws import s3

def get_time():
    return times()[0] + times()[2]


N         = 28
BASE      =  3
RUNLENGTH =  8

print 'computing root..'
#root = mpf(2,2**N).sqrt().digits(BASE)
#data = root[root.index('.')+1:root.rindex('e')]
#data = data * 16

data = file('tmp/pisot-1-b%i' % BASE).read()[:2**N]


print '[NEW] counting freqs..'
t_start = get_time()
new_blocks = []
for n, block in absolute_freqs_rsn_ng(data, BASE, RUNLENGTH):
    new_blocks.append(block)
    print n
t_stop = get_time()
print '[NEW] time used: %8.2f' % (t_stop-t_start)



print '[OLD] counting freqs..'
t_start = get_time()
old_blocks = []
for n, block in absolute_freqs_rsn(data, BASE, RUNLENGTH):
    old_blocks.append(block)
    print n
t_stop = get_time()
print '[OLD] time used: %8.2f' % (t_stop-t_start)


same = True
for j in xrange(len(old_blocks)):
    for i in xrange(len(old_blocks[j])):
        if old_blocks[j][i] != new_blocks[j].get(i,0):
            same = False
            print i, old_blocks[j][i], new_blocks[j].get(i,0)
print same

