#!/usr/bin/env python

from distutils.core import setup, Extension

module1 = Extension('_ffc',
                    libraries=['gmp'],
                    extra_compile_args=['-O3'],
                    sources=['ffc.c'])


setup(name='ffc',
      version='1.0',
      description='fast frequency counter',
      author='Johan Brinch',
      author_email='zerrez@gmail.com',
      url='http://diku.dk/hjemmesider/studerende/zerrez',
      ext_modules=[module1],
     )
