import random, timeit, sys
from roots import lm, nt, PolyLib
from database import Polynomial as DbPoly

M = 2**32-1

def generate(n):
    random.seed(n)

    global M

    N = n + 16

    poly = dict((i, random.randint(1,M)) for i in xrange(1,N))
    poly[N] = 1
    poly[0] = -1
    poly = PolyLib.from_dict(poly)

    return poly


for n in xrange(1,16):
    name = 'random-%i' % n
    poly  = generate(n)
    spoly = '1*'+PolyLib.simplifyp(poly).replace('x - 1', 'x^1 - 1*x^0').replace(' ','')
    print name
    print PolyLib.from_string(spoly)
    #lm.laguerres_method(spoly, 10)
    DbPoly(name=name, polynomial=spoly).save()


