import gc

from gmpy import mpz

from stats.frequency import absolute_freqs   as afreq
from stats.frequency import absolute_freqs_n as nfreq

from scipy import bincount
from timeit import Timer


BASE = 2

data = ((5**(mpz(3)**13))).digits(BASE)
print len(data)


timer = Timer('afreq(data,BASE)', 'from __main__ import data,afreq,BASE')
#print timer.timeit(1)

gc.collect()

timer = Timer('list(nfreq(data,BASE))', 'from __main__ import data,nfreq,BASE')
print timer.timeit(1)


'''
a = afreq(data,BASE)
n = list(nfreq(data,BASE))

n.reverse()
for i in sorted(a.keys()):
    a_v = a[i]
    n_i,  n_v = n.pop()
    assert a_v == n_v
'''
