import sys, crypto
from base64 import standard_b64encode as b64enc

print '> testing vectors..'
crypto.PolyHash.test_p18()
print '> vectors OK!'


BS = crypto.PolyHash.BLOCK_SIZE

items = ['bar'*20, 'foo'*21 ,'less'*22, 'is'*23, 'more'*24, 'long'*25]

INIT = r'preben+stefan\\^2'

hash = crypto.PolyHash(INIT)
for s in items:
    hash.update(s)
hash1 = hash.hexdigest()

hash2 = crypto.PolyHash(INIT+''.join(items)).hexdigest()

assert hash1 == hash2
