import os, time, sys

from timeit import Timer
from database import * 
from roots import lm


PRECISION = int(sys.argv[1])


def test(polys):
    for poly in polys:
        print '>', poly
        lm.laguerres_method(poly, PRECISION)


polys = map(lambda x: x.polynomial, Polynomial().query('SELECT * FROM polynomial'))
timer = Timer('test(polys)', 'from __main__ import test,polys')

print 'running test..'
print timer.timeit(1)
print 'all done.'
