from roots import lm, pw
import time, sys, math

from timings import time_func


pol = '1x^3-1x^1-1x^0'
#pol = '1x^4-1x^3-1x^0'
#pol = '1x^5-1x^4-1x^3+1x^2-1x^0'
#pol = '1x^22-1x^21-1x^20+1x^2-1x^0'

N = int(sys.argv[1])

lmtime = time.clock()
N, root = lm.laguerres_method(pol, N)

file('test-lm.out', 'w').write(root.digits(16))
lmtime = time.clock()-lmtime

'''
M = int(math.log(N)/math.log(2))
pwtime = time.clock()
M, root0 = pw.power_method(pol, M+1)
root0 = root0.digits(2)
pwtime = time.clock()-pwtime

for i in xrange(len(root)):
    if root[i] != root0[i]:
        break

print 'real', i
'''

print 'lm prec', math.log(N)/math.log(2), '(', N, ')'
#print 'power', math.log(M)/math.log(2)

print 'lmtime',lmtime
print 'lmspeed', (N/lmtime)

#print 'pwtime',pwtime
#print 'pwspeed', (M/pwtime)
